<div [hidden]="!showSpinner">
    <app-spinner></app-spinner>
</div>
<div class="mobile-main-header">
    <div class="header-navigate pull-left">
        <a (click)="navigateToLanding()"><i class="navigate-back fa fa-chevron-left"></i></a>
    </div>
    <div class="header-title"><h5 style="padding-right:12px">LOANS LIST</h5></div>
</div>
<div id="loans-list">
    <div class="mobile-list-header">
        <div class="row" style="width:100%">
            <input type="search" class="form-control" (input)="onSearchChange($event.target.value)" placeholder="Search..">
        </div>
        <!-- <br />
        <div class="row pad-x-15">
            CONFIRMED
            <label class="switch">
                <input type="checkbox">
                <span class="slider round"></span>
            </label>
        </div> -->
        <!-- <div class="row">
            <div class="mobile-search-menu">
                CONFIRMED
                <label class="switch">
                    <input type="checkbox">
                    <span class="slider round"></span>
                </label>
            </div>
        </div> -->
        <!-- <input type="search" class="form-control" (input)="onSearchChange($event.target.value)" placeholder="Search.."> -->
    </div>
    <div class="mobile-list-content">
        <div *ngIf="!withData" class="col-sm-12 mobile-list-norecord">
            <span>
                <i class="fa fa-times-circle fa-5x"></i>
            </span>
            <h4>No Records to Display</h4><br />
            <small>
                Start searching for loans on the search bar by typing, Loan Id, Id/Key #, Customer/Tenant Name or even Site Name.
            </small>
        </div>
        <div class="mobile-list-items">
            <div class="list-group">
                <li (click)="navigateDetails(item.Id)" class="list-group-item mobile-item-with-image" *ngFor="let item of packageData | async">
                    <div class="mobile-loan-avatar">
                        <!-- <i class="fas fa-building"></i> -->
                        <img *ngIf="item.CustomerTypeId === 1" class="user-avatar" src="assets/images/logo.png" style="width:45px" />
                        <img *ngIf="item.CustomerTypeId === 2" class="user-avatar mobile-tenant-logo" src="assets/images/tenant-logo.png" style="width:45px" />
                    </div>
                    <div class="mobile-loan-content">
                        <a>{{ item.LoanId }}</a>
                        <i class="toggle-detail fa fa-chevron-right pull-right"></i> 
                        <small class="mobile-loan-date pull-right">{{ item.LoanedDate | date : 'MM-dd-yyyy, h:mm a' }}</small>
                        <br />
                        <small>{{ item.Site.Name }}</small>
                    </div>
                </li>
            </div>
        </div>
    </div> 
    <div class="mobile-list-footer btn-primary" [hidden]="true">
        <button type="button" class="btn btn-md btn-primary col-sm-12">Show Filter Options</button>
    </div>
</div>